%define shortname psi
%define name gdesklets-%shortname
%define snapshot 20040420
%define release 3mdk

Summary: Alternate displays/sensors for gdesklet
Name: %{name}
Version: %{snapshot}
Release: %{release}
Source0: PsiDisplayPackage-%{snapshot}.tar.bz2
Source1: PsiSensorPackage-%{snapshot}.tar.bz2
Source2:	Makefile_install_scripts.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=38
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: gdesklets
BuildRequires: python

%description
This package provides a new sensor look and many displays using this look for
gdesklet.

To add the display, use one of these:
gdesklets-add-rssgrab-display
gdesklets-add-rssgrab-orig-display
gdesklets-add-rssgrab-psi-display


%prep
%setup -q -n %shortname-%version -c -b 1 -a 2

%build
%make PACKAGE_NAME=%{shortname}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

cp -r Theme $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/
mv  $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/Themes $RPM_BUILD_ROOT%{_datadir}/gdesklets

rm -rf $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/*-* \
 $RPM_BUILD_ROOT%{_bindir}/gdesklets-add-*-display \
 $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/IconButton/.order \
 $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/FontSelector

cd $RPM_BUILD_ROOT%{_datadir}/gdesklets/Displays/psi
for DISPLAY in *.display
  do
  NAME=${DISPLAY%.display}
  SCRIPT=$RPM_BUILD_ROOT%{_bindir}/gdesklets-add-psi-$NAME-display
  cat > $SCRIPT << EOF
#!/bin/sh
gdesklets %{_datadir}/gdesklets/Displays/psi/$DISPLAY
EOF
  chmod +x $SCRIPT
done
cd -


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_bindir/gdesklets-add-psi*
%_datadir/gdesklets/Displays/*
%_datadir/gdesklets/Sensors/*
%_datadir/gdesklets/Themes

%changelog
* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 20040420-3mdk
- fix buildrequires

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 20040420-2mdk
- update source2 for 0.30

* Wed Jul 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 20040420-1mdk 
- Initial package 
